﻿using Waaagh.Helpers;

namespace Waaagh.Models {
    public class Scenario: IUpdateReferences<Scenario> {
        public int Id { get; set; } = 0;
        public string Name { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;

        public DateTime LastUpdateTime { get; set; } = DateTime.MinValue;
        public int Version { get; set; } = 0;

        public Scenario() { }



        public void UpdateReferences(Scenario value) {
            Scenario scenario = this;
            ModelUpdateHelper.UpdateWritableProperies(ref scenario, value);
        }

        #region Falgs
        public bool IsLegacy { get; set; }
        #endregion
    }
}
