﻿using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;

namespace Waaagh.Services.Abstract {
    public interface IMessageManager {

    }

    static public partial class IHostBuilderExtensions {
        static public IHostBuilder AddDefaultMessageManager(this IHostBuilder builder) {
            return builder.ConfigureServices((services) => {
                services.AddSingleton<IMessageManager, MessageManager>();
            });
        }
    }
}