﻿using CommunityToolkit.Mvvm.ComponentModel;

namespace WpfSample.ViewModels {
    internal partial class DemoItemViewModel: ObservableObject {
        [ObservableProperty]
        [NotifyPropertyChangedFor(nameof(Message))]
        private string name = string.Empty;

        [ObservableProperty]
        [NotifyPropertyChangedFor(nameof(Message))]
        private string value = string.Empty;

        public string Message => $"{Name}-{Value}";
    }
}
