﻿using Microsoft.EntityFrameworkCore;
using Waaagh.Models;

namespace Waaagh {
    public class AppDatabaseContext: DbContext {
        public AppDatabaseContext(DbContextOptions<AppDatabaseContext> options) : base(options) {

        }
        public DbSet<Message> Messages { get; set; }
        public DbSet<Message> Templates { get; set; }
        public DbSet<Scenario> Scenarios { get; set; }
    }
}
