﻿using System.Windows;

namespace Waaagh.Helpers {
    public class WindowHelper {
        public static Thickness ChromeThickness {
            get {
                var w = (SystemParameters.MaximizedPrimaryScreenWidth - SystemParameters.WorkArea.Width) / 2;
                var h = (SystemParameters.MaximizedPrimaryScreenHeight - SystemParameters.WorkArea.Height) / 2;
                return new Thickness(w + 1, h, w + 1, h);
            }
        }
    }
}
