﻿using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;

namespace Waaagh.Services.Abstract {
    public interface IScenarioManager {

    }

    static public partial class IHostBuilderExtensions {
        static public IHostBuilder AddDefaultScenarioManager(this IHostBuilder builder) {
            return builder.ConfigureServices((services) => {
                services.AddSingleton<IScenarioManager, ScenarioManager>();
            });
        }
    }
}
