﻿using System.Windows;
using System.Windows.Input;
using WpfSample.ViewModels;

namespace WpfSample {
    public partial class MainWindow: Window {
        public MainWindow() {
            InitializeComponent();
            DataContext = new MainViewModel();
        }

        private void TreeViewItem_MouseMove(object sender, MouseEventArgs e) {
            if (sender is FrameworkElement element && e.LeftButton == MouseButtonState.Pressed) {
                DragDrop.DoDragDrop(element, element.DataContext, DragDropEffects.Move);
            }
        }

        private void TreeViewItem_DragEnter(object sender, DragEventArgs e) {

        }

        private void TreeViewItem_DragOver(object sender, DragEventArgs e) {

        }

        private void TreeViewItem_DragLeave(object sender, DragEventArgs e) {

        }

        private void TreeViewItem_Drop(object sender, DragEventArgs e) {

        }
    }
}